section.has-dark-background,
section.has-dark-background h1,
section.has-dark-background h2,
section.has-dark-background h3,
section.has-dark-background h4,
section.has-dark-background h5,
section.has-dark-background h6 {
    color: #fff;
}

/*********************************************
 * GLOBAL STYLES
 *********************************************/
body {
    background: #fff;
    background-color: #fff;
}

.reveal {
    font-family: sans-serif;
    font-size: 30px;
    font-weight: 400;
    color: #222;
}

::selection {
    color: #fff;
    background: #98bdef;
    text-shadow: none;
}

::-moz-selection {
    color: #fff;
    background: #98bdef;
    text-shadow: none;
}

/* .reveal .slides {
    border: 1.5px #ddd solid;
} */

.reveal .slides section,
.reveal .slides section>section {
    line-height: 1.3;
    font-weight: inherit;
    text-align: left;
}

/*********************************************
 * HEADERS
 *********************************************/
.reveal h1,
.reveal h2,
.reveal h3,
.reveal h4,
.reveal h5,
.reveal h6 {
    margin: 0 0 20px 0;
    color: #006fb8;
    font-family: sans-serif;
    font-weight: 800;
    line-height: 1.2;
    letter-spacing: normal;
    text-shadow: none;
    word-wrap: break-word;
}

.reveal h1 {
    font-size: 2.5em;
}

.reveal h2 {
    font-size: 1.6em;
}

.reveal h3 {
    font-size: 1.3em;
}

.reveal h4 {
    font-size: 1em;
}

.reveal h1 {
    text-shadow: none;
}

.reveal .slides section:has(h1),
.reveal .slides section:has(h2) {
    align-items: center;
    text-align: center;
}

.reveal .slides section:has(h1),
.reveal .slides section>section:has(h1) {
    padding-top: 16rem;
}

html.reveal-print .reveal .slides section:has(h1),
html.reveal-print .reveal .slides section>section:has(h1) {
    padding-top: 16rem !important;
}

.reveal .slides section:has(h2),
.reveal .slides section>section:has(h2) {
    padding-top: 20rem;
}

html.reveal-print .reveal .slides section:has(h2),
html.reveal-print .reveal .slides section>section:has(h2) {
    padding-top: 20rem !important;
}

.reveal .slides section h3 {
    padding-top: 0.55rem;
}

.reveal .slides section h3::after {
    content: "";
    display: block;
    width: 100%;
    height: 1px;
    margin: 0.6em 0 0.8em 0;
    background: #00000052;
    box-sizing: border-box;
}

/*********************************************
 * OTHER
 *********************************************/
.reveal p {
    margin: 20px 0;
    line-height: 1.3;
}

/* Ensure certain elements are never larger than the slide itself */
.reveal img,
.reveal video,
.reveal iframe {
    max-width: 95%;
    max-height: 90%;
}

.reveal strong,
.reveal b {
    font-weight: bold;
}

.reveal em {
    font-style: italic;
}

.reveal ol,
.reveal dl,
.reveal ul {
    display: inline-block;
    text-align: left;
    margin: 0 0 0 1em;
}

.reveal ol {
    list-style-type: decimal;
}

.reveal ul {
    list-style-type: disc;
}

.reveal ul ul {
    list-style-type: square;
}

.reveal ul ul ul {
    list-style-type: circle;
}

.reveal ul ul,
.reveal ul ol,
.reveal ol ol,
.reveal ol ul {
    display: block;
    margin-left: 40px;
}

.reveal dt {
    font-weight: bold;
}

.reveal dd {
    margin-left: 40px;
}

.reveal blockquote {
    display: block;
    position: relative;
    width: auto;
    margin: 20px 0;
    padding-left: 1.4rem;
    background: rgba(255, 255, 255, 0.05);
    border-left: 0.3rem solid #00000052;
}

.reveal blockquote p:first-child,
.reveal blockquote p:last-child {
    display: inline-block;
}

.reveal q {
    font-style: italic;
}

.reveal pre {
    display: block;
    position: relative;
    margin: 20px 0;
    text-align: left;
    font-size: 0.8em;
    font-family: monospace;
    line-height: 1.2em;
    word-wrap: break-word;
    box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.15);
}

.reveal code {
    color: #006fb8;
    /* Accent 1 (FBO), donkerblauw */
    font-family: monospace;
    text-transform: none;
}

.reveal pre code {
    display: block;
    padding: 5px;
    overflow: auto;
    max-height: 400px;
    word-wrap: normal;
}

.reveal table {
    margin: auto;
    border-collapse: collapse;
    border-spacing: 0;
}

.reveal table th {
    font-weight: bold;
}

.reveal table th,
.reveal table td {
    text-align: left;
    padding: 0.2em 0.5em 0.2em 0.5em;
    border-bottom: 1px solid;
}

.reveal table th[align="center"],
.reveal table td[align="center"] {
    text-align: center;
}

.reveal table th[align="right"],
.reveal table td[align="right"] {
    text-align: right;
}

.reveal table tbody tr:last-child th,
.reveal table tbody tr:last-child td {
    border-bottom: none;
}

.reveal sup {
    vertical-align: super;
    font-size: smaller;
}

.reveal sub {
    vertical-align: sub;
    font-size: smaller;
}

.reveal small {
    display: inline-block;
    font-size: 0.6em;
    line-height: 1.2em;
    vertical-align: top;
}

.reveal small * {
    vertical-align: top;
}

.reveal .mul-cols {
    display: flex;
}

.reveal .mul-cols .col {
    width: 100%;
}

/*********************************************
 * LINKS
 *********************************************/
.reveal a {
    color: #2a76dd;
    text-decoration: none;
    -webkit-transition: color 0.15s ease;
    -moz-transition: color 0.15s ease;
    transition: color 0.15s ease;
}

.reveal a:hover {
    color: #6ca0e8;
    text-shadow: none;
    border: none;
}

.reveal .roll span:after {
    color: #fff;
    background: #1a53a1;
}

/*********************************************
 * IMAGES
 *********************************************/
.reveal section img {
    margin: 15px 0px;
    background: rgba(255, 255, 255, 0.12);
    border: none;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
}

.reveal section img.plain {
    border: 0;
    box-shadow: none;
}

.reveal a img {
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.reveal a:hover img {
    background: rgba(255, 255, 255, 0.2);
    border-color: #2a76dd;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.35);
    transform: scale(1.05);
}

.reveal .avatar-container {
    display: inline-flex;
    align-items: center;
    gap: 1rem;
}

.reveal .avatar-img {
    width: 85px;
    height: 85px;
    border-radius: 50%;
    object-fit: cover;
    display: block;
}

/*********************************************
 * NAVIGATION CONTROLS
 *********************************************/
.reveal .controls {
    color: #2a76dd;
}

/*********************************************
 * PROGRESS BAR
 *********************************************/
.reveal .progress {
    background: rgba(0, 0, 0, 0.2);
    color: #2a76dd;
}

.reveal .progress span {
    -webkit-transition: width 800ms cubic-bezier(0.26, 0.86, 0.44, 0.985);
    -moz-transition: width 800ms cubic-bezier(0.26, 0.86, 0.44, 0.985);
    transition: width 800ms cubic-bezier(0.26, 0.86, 0.44, 0.985);
}

/*********************************************
 * SLIDE NUMBER
 *********************************************/
.reveal .slide-number {
    color: #2a76dd;
}

/*********************************************
 * PRINT BACKGROUND
 *********************************************/
@media print {
    body {
        font-family: sans-serif;
    }

    .backgrounds {
        background-color: #fff;
    }
}